<%--
  The Program materials contained in this file are IBM copyright materials.
  COPYRIGHT International Business Machines Corp. 2014
  All Rights Reserved * Licensed Materials - Property of IBM
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 --%>
<%@ page session="false" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html style="height: 100%; width: 100%; overflow: hidden; position: relative;">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="DC.Rights" content="© Copyright IBM Corp. 2014" />
<meta name="viewport" content="width=device-width,initial-scale=1"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />

<link rel="stylesheet" href="dojo/resources/dojo.css" />
<link rel="stylesheet" href="dijit/themes/dijit.css" />
<link rel="stylesheet" href="idx/themes/oneui/oneui.css" />

<link rel="stylesheet" href="css/explore.css" />
<link id="dashboard" rel="stylesheet" href="css/dashboard.css" />
<link id="cardCSS" rel="stylesheet" href="css/card.css" />
<link id="bottomBar" rel="stylesheet" href="css/bottomBar.css" />
<link id="singleResource" rel="stylesheet" href="css/singleResource.css" />
<link id="breadCrumb" rel="stylesheet" href="css/breadcrumb.css" />
<link id="search" rel="stylesheet" href="css/search.css" />
<link id="filterBar" rel="stylesheet" href="css/filterBar.css" />
<link id="oneuiExtension" rel="stylesheet" href="css/oneuiExtension.css" />
<link rel="stylesheet" href="gridx/resources/claro/Gridx.css" />
<link id="listView" rel="stylesheet" href="css/listView.css" />

<%@ include file="bidiConfig.jsp" %>
<script src="dojo/dojo.js" data-dojo-config="<%=dojoConfigString%>"></script>

<script type="text/javascript">
    require(["rave/com/ibm/vis/main", "jsExplore/mainDashboard-init", "dojo/i18n!jsExplore/nls/explorerMessages", "js/common/platform", "dojo/domReady!" ],
  function(main, dashboard, i18n, platform) {
    var breadcrumbImg = 'images/breadcrumb-dashboard-T.png';
    if (platform.isPhone()) {
          breadcrumbImg = "images/breadcrumb-dashboard-S.png";
        }
    document.getElementById("explore_tab_title").innerHTML = i18n.EXPLORE;
    document.documentElement.setAttribute("lang", dojo.locale);
  });
</script>
<script>
function closeIframe() {
   require([ "dijit/registry", "dojo/domReady!" ], function(registry) {
      var proxyPage = registry.byId("hostProxyPage");
      // If we don't have a hostProxyPage widgit id, it might be that we're deploying the
      // server package from the host page rather than the allHosts Page. So check for the
      // hostHostProxyPage widgit id.
      if (!proxyPage)
        proxyPage = registry.byId("hostHostProxyPage");
        
      if (proxyPage) {
         registry.byId("breadcrumbContainer_id").removeChild(proxyPage);
         proxyPage.destroy();
      }
   });
}
</script>


<style type="text/css">
  a:link {color:#00649D;text-decoration:underline;} 
  a:visited {color:#00649D;text-decoration:underline;} 

</style>

<title id="explore_tab_title"></title>
</head>
<body class="oneui" style="height: 100%; width: 100%">
  <noscript>
    <div>
      <h2>Explore requires JavaScript. JavaScript is currently disabled.</h2>
      <h2>Enable JavaScript or use a browser which supports JavaScript.</h2>
    </div>
  </noscript>

  <div id="mainContainer" class="mainContainer" role="main" style="height: 100%; width: 100%">
    <div data-dojo-type="idx/app/A11yPrologue"></div>

    <!-- end of header -->
    <div style="width: 100%; height: 100%;" id="exploreRootBorderContainer" >
      <div data-dojo-type="dijit.layout.StackContainer" id="breadcrumbStackContainer_id">
        <div data-dojo-type="dijit.layout.ContentPane" id="breadcrumbAndSearchDiv">
          <!--  breadcrumb div -->
          <div data-dojo-type="dijit.layout.ContentPane" id="breadcrumbDiv" >
            <div data-dojo-type="js.layouts.BreadcrumbMRUController" id="breadcrumbController"
              data-dojo-props='containerId: "breadcrumbContainer_id", maxLength:5'>
            </div>
          </div>
          <!--  search button -->
          <div id="searchDiv" class="searchDiv" region="top">
            <button id="searchButton" type="button"></button>
          </div>
        </div>
      </div>
      <!--  50px is the height of the breadcrumb (50) -->
      <div data-dojo-type="dijit.layout.StackContainer" id="breadcrumbContainer_id" doLayout="false"
        style="height: calc(100% - 50px); width: 100%; background-color: #F8F8F7; overflow: auto;">
        <div data-dojo-type="dijit.layout.ContentPane" aria-label="Dashboard" id="mainDashboard">
<!--           <p id="topologyFilterSpot"></p> -->
        </div>
      </div>
    </div>
  </div>
</body>
</html>